# nng_msg_set_pipe(3) Manual Page

## NAME

nng_msg_set_pipe - set pipe for message

## SYNOPSIS

    #include <nng/nng.h>

    void nng_msg_set_pipe(nng_msg *msg, nng_pipe p);

## DESCRIPTION

The `nng_msg_set_pipe()` sets the pipe associated with message m to p. This is most often useful when used with protocols that support directing a message to a specific peer. For example the pair version 1 protocol can do this when `NNG_OPT_PAIR1_POLY` mode is set.

| Not all protocols support overriding the destination pipe.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_msg_alloc(3), nng_msg_get_pipe(3), nng_pipe_getopt(3), nng_msg(5), nng(7)